petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatPartitioningSetFromOptions

Sets various partitioning options from the options database.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPartitioningSetFromOptions(MatPartitioning part)

Collective on MatPartitioning

### Input Parameter

part -the partitioning context.

### Options Database Command

     -mat_partitioning_type  <type>

         Use -help for a list of available methods

         (for instance, parmetis)

### Notes

If the partitioner has not been set by the user it uses one of the installed partitioner such as ParMetis. If there are no installed partitioners it uses current which means no repartioning.

### Keywords

partitioning, set, method, type

### Level

beginner

### Location

src/mat/partition/partition.c

### Examples

src/mat/examples/tutorials/ex11.c.html
src/mat/examples/tutorials/ex15.c.html
src/mat/examples/tutorials/ex17.c.html
src/ksp/ksp/examples/tutorials/ex64.c.html

### Implementations

MatPartitioningSetFromOptions_Chaco in src/mat/partition/impls/chaco/chaco.c
MatPartitioningSetFromOptions_Hierarchical in src/mat/partition/impls/hierarchical/hierarchical.c
MatPartitioningSetFromOptions_Party in src/mat/partition/impls/party/party.c
MatPartitioningSetFromOptions_Parmetis in src/mat/partition/impls/pmetis/pmetis.c
MatPartitioningSetFromOptions_PTScotch in src/mat/partition/impls/scotch/scotch.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages